////
/// Theme Functions
/// @group helpers
/// @author Mark de Jong
////

//Your custom sass functions belong here -- which return some sass/css/data values
//This is where the custom theme overrides or extends existing Backbase functions
//It is not recommended to directly override Bootstrap functions.
//Please refer to the generated sassdocs for reusable functions API documentations

/// EXAMPLE: Calculate pixels from em-size
// @function em-to-px($em-size, $default-px){
//   @return $em-size + $default-px
// }

$class-slug: fs !default;
@for $i from 1 through 50 {
  .#{$class-slug}-#{$i} {
    font-size: $i + px !important;
  }
}

/// Slightly lighten a color
/// @access public
/// @param {Color} $color - color to tint
/// @param {Number} $percentage - percentage of `$color` in returned color
/// @return {Color}
@function tint($color, $percentage) {
  @return mix(white, $color, $percentage);
}

// Usage: .mw-568 => max-width: 568px;
$class-slug-mw: mw !default;
@for $i from 1 through 2000 {
  .#{$class-slug-mw}-#{$i} {
    max-width: $i + px !important;
  }
}

// Paddings
// Usage: '.padding-top-26' => padding-top: 26px;
$class-slug-pt: padding-top !default;
@for $i from 1 through 1000 {
  .#{$class-slug-pt}-#{$i} {
    padding-top: $i + px !important;
  }
}

$class-slug-pb: padding-bottom !default;
@for $i from 1 through 1000 {
  .#{$class-slug-pb}-#{$i} {
    padding-bottom: $i + px !important;
  }
}

$class-slug-pl: padding-left !default;
@for $i from 1 through 1000 {
  .#{$class-slug-pl}-#{$i} {
    padding-left: $i + px !important;
  }
}

$class-slug-pr: padding-right !default;
@for $i from 1 through 1000 {
  .#{$class-slug-pr}-#{$i} {
    padding-right: $i + px !important;
  }
}
